#include <stdio.h>

int main(){
	int x,j,d,s,h,dh,z=0,p=1;

	scanf("%d", &x);

	if(x<10000||x>99999){
		printf("-1");
		return 1;
	}

	j=x%10;
	d=(x/10)%10;
	s=(x/100)%10;
	h=(x/1000)%10;
	dh=x/10000;

	if(j<d){
		if(d<s){ // U ovom slucaju ili je opadajuci ili inace
			if(s<h && h<dh){
				printf("%d", j+d+s+h+dh);
				return 0;
			}else{
				printf("%d", x);
				return 0;
			}

		}else{ // U ovom slucaju ili alternirajuci ili inace
			if( s<h && h>dh){
				printf("%d", j*d*s*h*dh);
				return 0;
			}else{
				printf("%d", x);
				return 0;
			}
		}
	}else{
		if(d>s){ // U ovom slucaju ili je rastuci ili inace
                        if(s>h && h>dh){
                                printf("%d", j+d+s+h+dh);
                                return 0;
                        }else{
                                printf("%d", x);
                                return 0;
                        }

                }else{ // U ovom slucaju ili alternirajuci ili inace
                        if( s>h && h<dh){
                                printf("%d", j*d*s*h*dh);
                                return 0;
                        }else{
                                printf("%d", x);
                                return 0;
                        }
                }
	}

	return 0; 
}
